/*
Aston 1.9 SDK for VC6.0-7.1
(c) Gladiatros Software, 1999-2003
drawpng.dll inteface
*/ 

#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#pragma once
#endif

#ifndef __DRAWPNG_H__
#define __DRAWPNG_H__


#if defined(_MSC_VER) && (_MSC_VER >= 1300)
#pragma warning(push, 3)
#endif
#include <windows.h>
#if defined(_MSC_VER) && (_MSC_VER >= 1300)
#pragma warning(pop)
#endif

#define ALPHA_USE_MMX   0
#define ALPHA_USE_GDI   1
#define ALPHA_USE_MSIMG 2

#ifdef __cplusplus
extern "C"  {
#endif

BOOL __cdecl ResetRenderer(int nMode);//no PNGs in memory!

void __cdecl LoadPng(LPCSTR pstrFileName, BITMAPINFO * pBMP, LPBYTE * ppBits, BOOL * bAlpha, 
                     HBITMAP * hDIB);

void __cdecl PreAlpha(int nWidth, int nHeight, LPBYTE pBits32);

void __cdecl AlphaBlt(HDC hdcDest, int nXOriginDest, int nYOriginDest, int nWidthDest, int nHeightDest,   
  HBITMAP hDIBSrc, int nXOriginSrc, int nWidthOrigin, int nHeightOrigin, LPBYTE pSrcBits32);

void __cdecl BlendDIB32(int w, int h, int start, int addition, LPBYTE pDst, LPBYTE pSrc);

#ifdef __cplusplus
}
#endif

#endif //__DRAWPNG_H__